Puntuado con 3 de 5 estrellas

Does not work with Firefox 3.6 betas at all

Esta valoración es de una versión anterior del complemento (3.5.2).